/**
 * UiPrice
 * 가격 또는 금액을 표시한다.
 *
 * ````html
 * <UiPrice amount="13500" tilde="true"/>
 * ````
 *
 * @vue-prop {String|Number} amount 금액
 * @vue-prop {Boolean|String} [currencyUnit] 화폐단위 표시 여부. 디폴트는 true.
 * @vue-prop {Boolean|String} [tilde] 물결 표시 여부. 디폴트는 false.
 */
declare const _sfc_main: import("vue").DefineComponent<{
    type: {
        type: StringConstructor;
        default: string;
    };
    amount: {
        type: (StringConstructor | NumberConstructor)[];
        default: undefined;
    };
    currencyUnit: {
        type: BooleanConstructor;
        default: boolean;
    };
    tilde: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    formattedAmount: import("vue").ComputedRef<string | null>;
    symbolBefore: import("vue").ComputedRef<string>;
    symbolAfter: import("vue").ComputedRef<string>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    type: {
        type: StringConstructor;
        default: string;
    };
    amount: {
        type: (StringConstructor | NumberConstructor)[];
        default: undefined;
    };
    currencyUnit: {
        type: BooleanConstructor;
        default: boolean;
    };
    tilde: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    type: string;
    amount: string | number;
    currencyUnit: boolean;
    tilde: boolean;
}>;
export default _sfc_main;
