import { PaginatedList, PaginatedListLoadInfo, PaginatedListRequest } from '../model/PaginatedList';
import { ScrollType } from '../config/uiComponentConfig';
declare const _sfc_main: import("vue").DefineComponent<{
    list: {
        type: typeof PaginatedList;
        default: undefined;
    };
    listKey: {
        type: StringConstructor;
        default: undefined;
    };
    limit: {
        type: NumberConstructor;
        default: number;
    };
    visiblePageCount: {
        type: NumberConstructor;
        default: number;
    };
    useRouter: {
        type: BooleanConstructor;
        default: boolean;
    };
    skeletonCount: {
        type: NumberConstructor;
        default: number;
    };
    itemContainerClass: {
        type: StringConstructor;
        default: undefined;
    };
    skeletonContainerClass: {
        type: StringConstructor;
        default: undefined;
    };
    paginationClass: {
        type: StringConstructor;
        default: undefined;
    };
    loadExplicitly: {
        type: BooleanConstructor;
        default: boolean;
    };
    loadOnMount: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    isListUndefined: import("vue").ComputedRef<boolean>;
    isListLoading: import("vue").ComputedRef<boolean>;
    isListLoaded: import("vue").ComputedRef<boolean>;
    isListEmpty: import("vue").ComputedRef<boolean>;
    loadList: (page: number) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    needList: (request: PaginatedListRequest, scrollType: ScrollType) => true;
    listLoaded: (loadInfo: PaginatedListLoadInfo, scrollType: ScrollType) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    list: {
        type: typeof PaginatedList;
        default: undefined;
    };
    listKey: {
        type: StringConstructor;
        default: undefined;
    };
    limit: {
        type: NumberConstructor;
        default: number;
    };
    visiblePageCount: {
        type: NumberConstructor;
        default: number;
    };
    useRouter: {
        type: BooleanConstructor;
        default: boolean;
    };
    skeletonCount: {
        type: NumberConstructor;
        default: number;
    };
    itemContainerClass: {
        type: StringConstructor;
        default: undefined;
    };
    skeletonContainerClass: {
        type: StringConstructor;
        default: undefined;
    };
    paginationClass: {
        type: StringConstructor;
        default: undefined;
    };
    loadExplicitly: {
        type: BooleanConstructor;
        default: boolean;
    };
    loadOnMount: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    onNeedList?: ((request: PaginatedListRequest, scrollType: ScrollType) => any) | undefined;
    onListLoaded?: ((loadInfo: PaginatedListLoadInfo, scrollType: ScrollType) => any) | undefined;
}, {
    limit: number;
    visiblePageCount: number;
    list: PaginatedList<unknown>;
    listKey: string;
    skeletonCount: number;
    itemContainerClass: string;
    skeletonContainerClass: string;
    loadExplicitly: boolean;
    loadOnMount: boolean;
    useRouter: boolean;
    paginationClass: string;
}>;
export default _sfc_main;
