import { PropType } from "vue";
declare const _sfc_main: import("vue").DefineComponent<{
    id: {
        type: StringConstructor;
        default: () => string;
    };
    placeholderLabel: {
        type: StringConstructor;
        default: undefined;
    };
    placeholder: {
        type: StringConstructor;
        default: undefined;
    };
    title: {
        type: StringConstructor;
        default: undefined;
    };
    name: {
        type: StringConstructor;
        default: () => string;
    };
    modelValue: {
        type: (StringConstructor | ObjectConstructor | NumberConstructor)[];
        default: string;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    allowNull: {
        type: BooleanConstructor;
        default: boolean;
    };
    values: {
        type: PropType<unknown[]>;
        default: () => never[];
    };
    valueProperty: {
        type: PropType<string | ((value: unknown) => unknown)>;
        default: undefined;
    };
    captionProperty: {
        type: PropType<string | ((value: unknown) => string)>;
        default: undefined;
    };
    required: {
        type: BooleanConstructor;
        default: boolean;
    };
    validationMessageRequired: {
        type: StringConstructor;
        default: () => string;
    };
    externalErrorMessageId: {
        type: StringConstructor;
        default: undefined;
    };
}, {
    emitValue: (event: Event) => void;
    value: import("vue").Ref<unknown>;
    getItemValue: (value: unknown) => unknown;
    getItemCaption: (value: unknown) => string;
    validationListeners: import("vue").ComputedRef<{
        blur: (e?: Event | undefined) => void;
        change: (event: Event) => void;
    }>;
    errorMessage: import("vue").Ref<string | undefined>;
    showErrorMessage: import("vue").ComputedRef<boolean>;
    computedPlaceholder: import("vue").ComputedRef<string>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:modelValue': (value: unknown) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type: StringConstructor;
        default: () => string;
    };
    placeholderLabel: {
        type: StringConstructor;
        default: undefined;
    };
    placeholder: {
        type: StringConstructor;
        default: undefined;
    };
    title: {
        type: StringConstructor;
        default: undefined;
    };
    name: {
        type: StringConstructor;
        default: () => string;
    };
    modelValue: {
        type: (StringConstructor | ObjectConstructor | NumberConstructor)[];
        default: string;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    allowNull: {
        type: BooleanConstructor;
        default: boolean;
    };
    values: {
        type: PropType<unknown[]>;
        default: () => never[];
    };
    valueProperty: {
        type: PropType<string | ((value: unknown) => unknown)>;
        default: undefined;
    };
    captionProperty: {
        type: PropType<string | ((value: unknown) => string)>;
        default: undefined;
    };
    required: {
        type: BooleanConstructor;
        default: boolean;
    };
    validationMessageRequired: {
        type: StringConstructor;
        default: () => string;
    };
    externalErrorMessageId: {
        type: StringConstructor;
        default: undefined;
    };
}>> & {
    "onUpdate:modelValue"?: ((value: unknown) => any) | undefined;
}, {
    name: string;
    values: unknown[];
    required: boolean;
    disabled: boolean;
    id: string;
    modelValue: string | number | Record<string, any>;
    placeholderLabel: string;
    placeholder: string;
    validationMessageRequired: string;
    externalErrorMessageId: string;
    title: string;
    allowNull: boolean;
    valueProperty: string | ((value: unknown) => unknown);
    captionProperty: string | ((value: unknown) => string);
}>;
export declare type SelectItem<T = unknown> = {
    value: T;
    caption: string;
};
export default _sfc_main;
