import { PropType } from "vue";
declare const _sfc_main: import("vue").DefineComponent<{
    modelValue: {
        type: PropType<ImageFile[]>;
        default: () => never[];
    };
    maxCount: {
        type: NumberConstructor;
        default: number;
    };
    requestWidth: {
        type: NumberConstructor;
        default: number;
    };
    requestHeight: {
        type: NumberConstructor;
        default: number;
    };
}, {
    deleteFile: (file: ImageFile) => void;
    fileInput: import("vue").Ref<any>;
    selectFile: (event: Event) => void;
    clickSelectFile: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:modelValue': (value: ImageFile[]) => true;
    invalidFileSelected: (errorCode: 'InvalidType' | 'SizeOverflow', file: File) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: PropType<ImageFile[]>;
        default: () => never[];
    };
    maxCount: {
        type: NumberConstructor;
        default: number;
    };
    requestWidth: {
        type: NumberConstructor;
        default: number;
    };
    requestHeight: {
        type: NumberConstructor;
        default: number;
    };
}>> & {
    "onUpdate:modelValue"?: ((value: ImageFile[]) => any) | undefined;
    onInvalidFileSelected?: ((errorCode: "InvalidType" | "SizeOverflow", file: File) => any) | undefined;
}, {
    modelValue: ImageFile[];
    requestWidth: number;
    requestHeight: number;
    maxCount: number;
}>;
export declare type ImageFile = {
    fileUrl: string;
    fileName?: string;
    file?: File;
};
export default _sfc_main;
