import { PropType } from "vue";
import { PaginatedList, PaginatedListRequest } from '../model/PaginatedList';
import { ScrollType } from '../config/uiComponentConfig';
import { TotalListLoadInfo } from '../model/TotalList';
declare const _sfc_main: import("vue").DefineComponent<{
    list: {
        type: typeof PaginatedList;
        default: undefined;
    };
    listKey: {
        type: StringConstructor;
        default: undefined;
    };
    scrollType: {
        type: PropType<ScrollType>;
        default: () => ScrollType;
    };
    limit: {
        type: NumberConstructor;
        default: undefined;
    };
    visiblePageCount: {
        type: NumberConstructor;
        default: undefined;
    };
    useRouter: {
        type: BooleanConstructor;
        default: undefined;
    };
    skeletonCount: {
        type: NumberConstructor;
        default: undefined;
    };
    itemContainerClass: {
        type: StringConstructor;
        default: undefined;
    };
    skeletonContainerClass: {
        type: StringConstructor;
        default: undefined;
    };
    paginationClass: {
        type: StringConstructor;
        default: undefined;
    };
    moreButtonContainerClass: {
        type: StringConstructor;
        default: undefined;
    };
    loadExplicitly: {
        type: BooleanConstructor;
        default: undefined;
    };
    loadOnMount: {
        type: BooleanConstructor;
        default: undefined;
    };
}, {
    loadList: (request: PaginatedListRequest, scrollType: ScrollType) => void;
    listLoaded: (loadInfo: TotalListLoadInfo<unknown>, scrollType: ScrollType) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    needList: (request: PaginatedListRequest, scrollType: ScrollType) => true;
    listLoaded: (loadInfo: TotalListLoadInfo<unknown>, scrollType: ScrollType) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    list: {
        type: typeof PaginatedList;
        default: undefined;
    };
    listKey: {
        type: StringConstructor;
        default: undefined;
    };
    scrollType: {
        type: PropType<ScrollType>;
        default: () => ScrollType;
    };
    limit: {
        type: NumberConstructor;
        default: undefined;
    };
    visiblePageCount: {
        type: NumberConstructor;
        default: undefined;
    };
    useRouter: {
        type: BooleanConstructor;
        default: undefined;
    };
    skeletonCount: {
        type: NumberConstructor;
        default: undefined;
    };
    itemContainerClass: {
        type: StringConstructor;
        default: undefined;
    };
    skeletonContainerClass: {
        type: StringConstructor;
        default: undefined;
    };
    paginationClass: {
        type: StringConstructor;
        default: undefined;
    };
    moreButtonContainerClass: {
        type: StringConstructor;
        default: undefined;
    };
    loadExplicitly: {
        type: BooleanConstructor;
        default: undefined;
    };
    loadOnMount: {
        type: BooleanConstructor;
        default: undefined;
    };
}>> & {
    onNeedList?: ((request: PaginatedListRequest, scrollType: ScrollType) => any) | undefined;
    onListLoaded?: ((loadInfo: TotalListLoadInfo<unknown>, scrollType: ScrollType) => any) | undefined;
}, {
    limit: number;
    visiblePageCount: number;
    list: PaginatedList<unknown>;
    listKey: string;
    skeletonCount: number;
    itemContainerClass: string;
    skeletonContainerClass: string;
    moreButtonContainerClass: string;
    loadExplicitly: boolean;
    loadOnMount: boolean;
    useRouter: boolean;
    paginationClass: string;
    scrollType: ScrollType;
}>;
export default _sfc_main;
